> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ocpplab.com/llms.txt.
> For full documentation content, see https://docs.ocpplab.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ocpplab.com/_mcp/server.

# List chargers

GET https://host.com/ocpp/chargers

Retrieve tenant-scoped charger deployments with pagination.

Reference: https://docs.ocpplab.com/api-reference/ocpplab-gateway-api/core-resources/chargers/list

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: OCPPLab SDK
  version: 1.0.0
paths:
  /ocpp/chargers:
    get:
      operationId: list
      summary: List chargers
      description: Retrieve tenant-scoped charger deployments with pagination.
      tags:
        - subpackage_chargers
      parameters:
        - name: location_id
          in: query
          description: Optional location id used to filter charger deployments.
          required: false
          schema:
            type:
              - string
              - 'null'
        - name: page
          in: query
          description: One-based page number for paginated charger deployment results.
          required: false
          schema:
            type: integer
            default: 1
        - name: limit
          in: query
          description: >-
            Maximum number of charger deployments to return per page. The
            maximum accepted value is 100.
          required: false
          schema:
            type: integer
            default: 50
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Chargers retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChargerListResponse'
        '401':
          description: Missing or invalid bearer token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpErrorResponse'
        '403':
          description: Insufficient permissions or missing required claims
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpErrorResponse'
servers:
  - url: https://host.com
components:
  schemas:
    ChargerResponse:
      type: object
      properties:
        id:
          type: string
        identity:
          type: string
        name:
          type:
            - string
            - 'null'
        vendor_name:
          type:
            - string
            - 'null'
        model:
          type:
            - string
            - 'null'
        image_url:
          type:
            - string
            - 'null'
        ocpp_version:
          type:
            - string
            - 'null'
        number_of_connectors:
          type:
            - integer
            - 'null'
        max_charging_power:
          type:
            - integer
            - 'null'
        connector_type:
          type:
            - string
            - 'null'
        location_id:
          type:
            - string
            - 'null'
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - identity
      description: Charger deployment payload returned by the CRUD endpoints.
      title: ChargerResponse
    ChargerListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ChargerResponse'
        total:
          type: integer
        page:
          type: integer
        limit:
          type: integer
      required:
        - data
        - total
        - page
        - limit
      description: Paginated response containing charger deployments.
      title: ChargerListResponse
    HttpErrorResponse:
      type: object
      properties:
        detail:
          type: string
          description: Human-readable error message returned by the API.
      required:
        - detail
      description: Standard HTTP error payload returned by the API.
      title: HttpErrorResponse
    ValidationErrorLocItems:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItems
    ValidationErrorCtx:
      type: object
      properties: {}
      title: ValidationErrorCtx
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorLocItems'
        msg:
          type: string
        type:
          type: string
        input:
          description: Any type
        ctx:
          $ref: '#/components/schemas/ValidationErrorCtx'
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      title: HTTPValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python A paginated list of charger deployments
import requests

url = "https://host.com/ocpp/chargers"

querystring = {"location_id":"4090477f-a416-4515-a302-97aa344a0a2a","page":"1","limit":"50"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript A paginated list of charger deployments
const url = 'https://host.com/ocpp/chargers?location_id=4090477f-a416-4515-a302-97aa344a0a2a&page=1&limit=50';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go A paginated list of charger deployments
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://host.com/ocpp/chargers?location_id=4090477f-a416-4515-a302-97aa344a0a2a&page=1&limit=50"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby A paginated list of charger deployments
require 'uri'
require 'net/http'

url = URI("https://host.com/ocpp/chargers?location_id=4090477f-a416-4515-a302-97aa344a0a2a&page=1&limit=50")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java A paginated list of charger deployments
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://host.com/ocpp/chargers?location_id=4090477f-a416-4515-a302-97aa344a0a2a&page=1&limit=50")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php A paginated list of charger deployments
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://host.com/ocpp/chargers?location_id=4090477f-a416-4515-a302-97aa344a0a2a&page=1&limit=50', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp A paginated list of charger deployments
using RestSharp;

var client = new RestClient("https://host.com/ocpp/chargers?location_id=4090477f-a416-4515-a302-97aa344a0a2a&page=1&limit=50");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift A paginated list of charger deployments
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://host.com/ocpp/chargers?location_id=4090477f-a416-4515-a302-97aa344a0a2a&page=1&limit=50")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```